# LoadL_admin file: Remove comments and edit this file to suit your installation.
# This file consists of machine, machine_group, and region stanzas. 
# Each stanza has defaults, as specified in a "defaults:" section.
# Default stanzas are used to set specifications for fields which are
# not specified.
# Class, user, group, machine_group, and region stanzas are optional. 
# Refer to Using and Administering LoadLeveler for  detailed information about 
# keywords and associated values.  Other sample admin files are found in the
# ~loadl/samples directory.
#############################################################################
# DEFAULTS FOR MACHINE, MACHINE_GROUP, AND REGION STANZAS:
# Remove initial # (comment), and edit to suit.
#
# If machine_groups are used, default machine is ignored and default
#    machine_group is used for all machines not in a group
#default:       type = machine
default:        type = machine_group
		startd_runs_here = true
		schedd_runs_here = false
		schedd_host = true 	 # default not a public scheduler
		submit_only = false	 # default not a submit-only machine
		# Define initiators and number of job steps per class.
		# MAX_STARTERS is the maximum number of serial jobs steps
		# or tasks that can run simultaneously on a machine.
		MAX_STARTERS    = 2
		# CLASS = small(8) medium(5) large(2) No_Class(1)
		CLASS = No_Class(1)
#		speed = 1		 # default machine speed
#		cpu_speed_scale = false  # scale cpu limits by speed
#		resources = ConsumableCpus(4) licenseA(1)
#		reservation_permitted = true  # default reservations are allowed


#default:	type = region
#		region_mgr_list = mach1 mach2
#RegionA:	type = region
#		region_mgr_list = mach13 mach14
#############################################################################
# MACHINE AND MACHINE_GROUP STANZAS:
# mach1, ... mach24 are placeholders for real machine names
#############################################################################
#
# mach1:	type = machine
#		schedd_host = true
#		schedd_runs_here = true
#		startd_runs_here = false
#		adapter_list = en0 
#
# mg1: {
#		type = machine_group 
#		machine_list = mach[2-12]
#		adapter_list = en0 ib0 ib1 ml0
#		mach2: {
#			type = machine 
#			schedd_host = true
#			schedd_runs_here = true
#			startd_runs_here = false
#		}
# }
#
# mga: {        
#		type = machine_group 
#		machine_list = mach[13-24]
#		adapter_list = en0 ib0 ib1 ml0
#		region = RegionA
#		mach13: {
#			type = machine 
#			schedd_host = true
#			schedd_runs_here = false
#		}
# }
#

