/*
 * ------------------------------------------------------------------------
 * Sample program for using llr_control to start LoadLeveler daemons
 * -------------------------------------------------------------------------
 */
static char llrctl_sccsid[] = "@(#) src/ll/samples/llrctl/llrctl.c, ll.api, ll_rrur2, rrur21042a 1.2 3/17/10 03:45:32";

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "llrapi.h" 

int main(int argc, char * argv[]) {
	int llr_version = LLR_API_VERSION;
	llr_resmgr_handle_t *rm_handle = NULL;
	llr_element_t *errObj = NULL;
	char *host_list[2];
	int rc = -1;

	if (argc < 2) {
		fprintf(stderr, "Usage: %s <machine for START operation>\n", argv[0]);	
		return rc;
	}
	host_list[0] = argv[1];
	host_list[1] = NULL;

	rc = llr_init_resmgr(llr_version, &rm_handle, &errObj);
	if(errObj != NULL) {
		llr_error (&errObj, LLR_ERROR_PRINT_STDERR);
		return rc;
	} else {
		printf("llr_init_resmgr is completed successfully\n");
	}

	rc += llr_control(rm_handle, LLR_CONTROL_START, host_list, &errObj);
	if(errObj != NULL) {
		llr_error (&errObj, LLR_ERROR_PRINT_STDERR);
	} else {
		printf("llr_control START is completed successfully\n");
	}
        rc += llr_free_resmgr(&rm_handle, &errObj);
	return rc;
}

