/* IBM_COPYRIGHT_BEGIN_TAG */
/*
 * Copyright IBM Corporation 2009. All rights reserved. The information contained
 * in these materials is provided for informational purposes only, and is provided AS IS
 * without warranty of any kind, express or implied. IBM shall not be responsible for any
 * damages arising out of the use of, or otherwise related to, these materials. Nothing
 * contained in these materials is intended to, nor shall have the effect of, creating any
 * warranties or representations from IBM or its suppliers or licensors, or altering the terms
 * and conditions of the applicable license agreement governing the use of IBM software.
 * References in these materials to IBM products, programs, or services do not imply that
 * they will be available in all countries in which IBM operates. Product release dates
 * and/or capabilities referenced in these materials may change at any time at IBM<92>s sole
 * discretion based on market opportunities or other factors, and are not intended to be a
 * commitment to future product or feature availability in any way. IBM, the IBM logo, AIX,
 * the AIX logo, and other IBM products and services are trademarks of the International
 * Business Machines Corporation, in the United States, other countries or both. Other
 * company, product, or service names may be trademarks or service marks of others.
 */
/* IBM_COPYRIGHT_END_TAG */

#include <stdio.h>
#include <unistd.h>
#include "Mutex.h"
#include "Thread.h"
#include "Scheduler.h"
#include "Step.h"

#ifndef SchedulingThread_h
#define SchedulingThread_h

class SchedulingThread : public Thread {
public:
	SchedulingThread() : signaled(false), cond(NULL) {}
	~SchedulingThread();

	void run();

	void initialize();

	void process_events();
	void scheduling_cycle();
	void schedule_step(Step* step);
	void assign_resources(Step* step, std::vector<Machine*> machines);
	void decrease_resources(Step* step);
	void increase_resources(Step* step);
	void start_step(Step* step);
	void reconcile_machines();
	void cleanup_jobs();

	void signal();

	bool      signaled;
	Mutex     lock;
	Condition* cond;
};

#endif
